Index: code/branches/merge/src/orxonox/objects/Explosion.cc
===================================================================
--- code/branches/merge/src/orxonox/objects/Explosion.cc	(revision 1262)
+++ code/branches/merge/src/orxonox/objects/Explosion.cc	(revision 1263)
@@ -45,10 +45,9 @@
     CreateFactory(Explosion);
 
-    Explosion::Explosion(WorldEntity* owner)
+    Explosion::Explosion(WorldEntity* owner) :
+      particle_(0),
+      lifetime_(0.4)
     {
         RegisterObject(Explosion);
-
-        this->particle_ = 0;
-        this->lifetime_ = 0.4;
 
         if (owner)
Index: code/branches/merge/src/orxonox/objects/Model.cc
===================================================================
--- code/branches/merge/src/orxonox/objects/Model.cc	(revision 1262)
+++ code/branches/merge/src/orxonox/objects/Model.cc	(revision 1263)
@@ -49,15 +49,4 @@
     }
 
-    void Model::loadParams(TiXmlElement* xmlElem)
-    {
-        WorldEntity::loadParams(xmlElem);
-
-        if (xmlElem->Attribute("mesh"))
-        {
-            meshSrc_ = xmlElem->Attribute("mesh");
-        }
-        create();
-    }
-
     /**
         @brief XML loading and saving.
Index: code/branches/merge/src/orxonox/objects/Model.h
===================================================================
--- code/branches/merge/src/orxonox/objects/Model.h	(revision 1262)
+++ code/branches/merge/src/orxonox/objects/Model.h	(revision 1263)
@@ -43,5 +43,4 @@
             Model();
             virtual ~Model();
-            virtual void loadParams(TiXmlElement* xmlElem);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
             void setMesh(const std::string& meshname);
Index: code/branches/merge/src/orxonox/objects/NPC.cc
===================================================================
--- code/branches/merge/src/orxonox/objects/NPC.cc	(revision 1262)
+++ code/branches/merge/src/orxonox/objects/NPC.cc	(revision 1263)
@@ -36,8 +36,8 @@
   CreateFactory(NPC);
 
-  NPC::NPC()
+  NPC::NPC() :
+    movable_(true)
   {
     RegisterObject(NPC);
-    movable_ = true;
   }
 
Index: code/branches/merge/src/orxonox/objects/Projectile.cc
===================================================================
--- code/branches/merge/src/orxonox/objects/Projectile.cc	(revision 1262)
+++ code/branches/merge/src/orxonox/objects/Projectile.cc	(revision 1263)
@@ -42,11 +42,10 @@
     CreateFactory(Projectile);
 
-    Projectile::Projectile(SpaceShip* owner)
+    Projectile::Projectile(SpaceShip* owner) :
+      owner_(owner)
     {
         RegisterObject(Projectile);
 
         this->setConfigValues();
-
-        this->owner_ = owner;
 
         this->billboard_.setBillboardSet("Examples/Flare", ColourValue(1.0, 1.0, 0.5), 1);
Index: code/branches/merge/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/merge/src/orxonox/objects/SpaceShip.cc	(revision 1262)
+++ code/branches/merge/src/orxonox/objects/SpaceShip.cc	(revision 1263)
@@ -64,10 +64,5 @@
     SpaceShip::SpaceShip()
     {
-        RegisterObject(SpaceShip);
-        this->registerAllVariables();
-
         SpaceShip::instance_s = this;
-
-        this->setConfigValues();
 
         this->setMouseEventCallback_ = false;
@@ -139,4 +134,7 @@
 //         this->create();
 
+        RegisterObject(SpaceShip);
+        this->registerAllVariables();
+        this->setConfigValues();
 
         COUT(3) << "Info: SpaceShip was loaded" << std::endl;
@@ -166,4 +164,10 @@
     void SpaceShip::init()
     {
+        if (!setMouseEventCallback_)
+        {
+          InputManager::addMouseHandler(this, "SpaceShip");
+          setMouseEventCallback_ = true;
+        }
+
         // START CREATING THRUSTER
         this->tt_ = new ParticleInterface(GraphicsEngine::getSingleton().getSceneManager(),"twinthruster" + this->getName(),"Orxonox/engineglow");
@@ -428,10 +432,4 @@
     void SpaceShip::tick(float dt)
     {
-        if (!setMouseEventCallback_)
-        {
-          InputManager::addMouseHandler(this, "SpaceShip");
-          setMouseEventCallback_ = true;
-        }
-
         if (this->redNode_ && this->greenNode_)
         {
Index: code/branches/merge/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/merge/src/orxonox/objects/WorldEntity.cc	(revision 1262)
+++ code/branches/merge/src/orxonox/objects/WorldEntity.cc	(revision 1263)
@@ -45,16 +45,14 @@
     unsigned int WorldEntity::worldEntityCounter_s = 0;
 
-    WorldEntity::WorldEntity()
+    WorldEntity::WorldEntity() :
+      velocity_    (0, 0, 0),
+      acceleration_(0, 0, 0),
+      rotationAxis_(0, 1, 0),
+      rotationRate_(0),
+      momentum_    (0),
+      node_        (0),
+      bStatic_     (true)
     {
         RegisterObject(WorldEntity);
-
-        //create();
-
-        this->bStatic_ = true;
-        this->velocity_ = Vector3(0, 0, 0);
-        this->acceleration_ = Vector3(0, 0, 0);
-        this->rotationAxis_ = Vector3(0, 1, 0);
-        this->rotationRate_ = 0;
-        this->momentum_ = 0;
 
         if (GraphicsEngine::getSingleton().getSceneManager())
@@ -66,8 +64,4 @@
 
           registerAllVariables();
-        }
-        else
-        {
-          this->node_ = 0;
         }
     }
@@ -94,71 +88,4 @@
         BaseObject::loadParams(xmlElem);
         create();
-/*
-        if (xmlElem->Attribute("position"))
-        {
-            std::vector<std::string> pos = tokenize(xmlElem->Attribute("position"),",");
-            float x, y, z;
-            String2Number<float>(x, pos[0]);
-            String2Number<float>(y, pos[1]);
-            String2Number<float>(z, pos[2]);
-            this->setPosition(x, y, z);
-        }
-
-        if (xmlElem->Attribute("direction"))
-        {
-            std::vector<std::string> pos = tokenize(xmlElem->Attribute("direction"),",");
-            float x, y, z;
-            String2Number<float>(x, pos[0]);
-            String2Number<float>(y, pos[1]);
-            String2Number<float>(z, pos[2]);
-            this->setDirection(x, y, z);
-        }
-
-        if (xmlElem->Attribute("yaw") || xmlElem->Attribute("pitch") || xmlElem->Attribute("roll"))
-        {
-            float yaw = 0.0, pitch = 0.0, roll = 0.0;
-            if (xmlElem->Attribute("yaw"))
-                String2Number<float>(yaw,xmlElem->Attribute("yaw"));
-
-            if (xmlElem->Attribute("pitch"))
-                String2Number<float>(pitch,xmlElem->Attribute("pitch"));
-
-            if (xmlElem->Attribute("roll"))
-                String2Number<float>(roll,xmlElem->Attribute("roll"));
-
-            this->yaw(Degree(yaw));
-            this->pitch(Degree(pitch));
-            this->roll(Degree(roll));
-        }
-
-        if (xmlElem->Attribute("scale"))
-        {
-            std::string scaleStr = xmlElem->Attribute("scale");
-            float scale;
-            String2Number<float>(scale, scaleStr);
-            this->setScale(scale);
-        }
-
-        if (xmlElem->Attribute("rotationAxis"))
-        {
-            std::vector<std::string> pos = tokenize(xmlElem->Attribute("rotationAxis"),",");
-            float x, y, z;
-            String2Number<float>(x, pos[0]);
-            String2Number<float>(y, pos[1]);
-            String2Number<float>(z, pos[2]);
-            this->setRotationAxis(x, y, z);
-        }
-
-        if (xmlElem->Attribute("rotationRate"))
-        {
-            float rotationRate;
-            String2Number<float>(rotationRate, xmlElem->Attribute("rotationRate"));
-            this->setRotationRate(Degree(rotationRate));
-            if (rotationRate != 0)
-                this->setStatic(false);
-        }
-
-        create();
-*/
     }
 
